NNTPCommand
Date: 2016-06-23

org.apache.commons.net.nntp

## Class NNTPCommand

- java.lang.Object
- - org.apache.commons.net.nntp.NNTPCommand

-     public final class NNTPCommand
      extends java.lang.Object

  NNTPCommand stores a set of constants for NNTP command codes. To interpret the meaning of the codes, familiarity with RFC 977 is assumed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARTICLE`
    `static int` | `AUTHINFO`
    `static int` | `BODY`
    `static int` | `GROUP`
    `static int` | `HEAD`
    `static int` | `HELP`
    `static int` | `IHAVE`
    `static int` | `LAST`
    `static int` | `LIST`
    `static int` | `NEWGROUPS`
    `static int` | `NEWNEWS`
    `static int` | `NEXT`
    `static int` | `POST`
    `static int` | `QUIT`
    `static int` | `SLAVE`
    `static int` | `STAT`
    `static int` | `XHDR`
    `static int` | `XOVER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCommand(int command)` Retrieve the NNTP protocol command string corresponding to a specified command code.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ARTICLE

          public static final int ARTICLE

      See Also:
        Constant Field Values

    - #### BODY

          public static final int BODY

      See Also:
        Constant Field Values

    - #### GROUP

          public static final int GROUP

      See Also:
        Constant Field Values

    - #### HEAD

          public static final int HEAD

      See Also:
        Constant Field Values

    - #### HELP

          public static final int HELP

      See Also:
        Constant Field Values

    - #### IHAVE

          public static final int IHAVE

      See Also:
        Constant Field Values

    - #### LAST

          public static final int LAST

      See Also:
        Constant Field Values

    - #### LIST

          public static final int LIST

      See Also:
        Constant Field Values

    - #### NEWGROUPS

          public static final int NEWGROUPS

      See Also:
        Constant Field Values

    - #### NEWNEWS

          public static final int NEWNEWS

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### POST

          public static final int POST

      See Also:
        Constant Field Values

    - #### QUIT

          public static final int QUIT

      See Also:
        Constant Field Values

    - #### SLAVE

          public static final int SLAVE

      See Also:
        Constant Field Values

    - #### STAT

          public static final int STAT

      See Also:
        Constant Field Values

    - #### AUTHINFO

          public static final int AUTHINFO

      See Also:
        Constant Field Values

    - #### XOVER

          public static final int XOVER

      See Also:
        Constant Field Values

    - #### XHDR

          public static final int XHDR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getCommand

          public static final java.lang.String getCommand(int command)

      Retrieve the NNTP protocol command string corresponding to a specified command code.

      Parameters:
        `command` - The command code.
      Returns:
        The NNTP protcol command string corresponding to a specified command code.